
From: Josh Aas <josha@sgi.com>

This patch removes two outdated/misleading comments from the CPU scheduler.

1) The first comment removed is simply incorrect.  The function it
   comments on is not used for what the comments says it is anymore.

2) The second comment is a leftover from when the "if" block it comments
   on contained a goto.  It does not any more, and the comment doesn't make
   sense.

There isn't really a reason to add different comments, though someone might
feel differently in the case of the second one.  I'll leave adding a
comment to anybody who wants to - more important to just get rid of them
now.

Signed-off-by: Josh Aas <josha@sgi.com>
Acked-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |   10 +---------
 1 files changed, 1 insertion(+), 9 deletions(-)

diff -puN kernel/sched.c~sched-remove-outdated-misleading-comments kernel/sched.c
--- 25/kernel/sched.c~sched-remove-outdated-misleading-comments	2005-01-05 15:09:15.186554760 -0800
+++ 25-akpm/kernel/sched.c	2005-01-05 15:09:33.857716312 -0800
@@ -602,11 +602,6 @@ static void requeue_task(struct task_str
 	list_move_tail(&p->run_list, array->queue + p->prio);
 }
 
-/*
- * Used by the migration code - we pull tasks from the head of the
- * remote queue so we want these tasks to show up at the head of the
- * local queue:
- */
 static inline void enqueue_task_head(struct task_struct *p, prio_array_t *array)
 {
 	list_add(&p->run_list, array->queue + p->prio);
@@ -2574,10 +2569,7 @@ need_resched_nonpreemptible:
 
 	if (unlikely(prev->flags & PF_DEAD))
 		prev->state = EXIT_DEAD;
-	/*
-	 * if entering off of a kernel preemption go straight
-	 * to picking the next task.
-	 */
+
 	switch_count = &prev->nivcsw;
 	if (prev->state && !(preempt_count() & PREEMPT_ACTIVE)) {
 		switch_count = &prev->nvcsw;
_
